﻿Public Class DentalPaymentForm
   ' handles Click event
   Private Sub calculateButton_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles calculateButton.Click

      ' clear text displayed in Label
      totalResultLabel.Text = ""

      ' if no name entered or no CheckBox checked, display message
      If (nameTextBox.Text = "") OrElse _
         (cleanCheckBox.Checked = False AndAlso _
          xrayCheckBox.Checked = False AndAlso _
          cavityCheckBox.Checked = False) Then

         ' display an error message in a dialog
         MessageBox.Show( _
            "Please enter a name and check at least one item", _
            "Missing Information", MessageBoxButtons.OK, _
            MessageBoxIcon.Error)
      Else ' add prices

         ' total contains amount to bill patient
         Dim total As Integer = 0

         ' if patient had a cleaning
         If cleanCheckBox.Checked = True Then
            total += 35
         End If

         ' if patient had a cavity filled
         If cavityCheckBox.Checked = True Then
            total += 150
         End If

         ' if patient had an X-Ray taken
         If xrayCheckBox.Checked = True Then
            total += 85
         End If

         ' display the total
         totalResultLabel.Text = String.Format("{0:C}", total)
      End If
   End Sub ' calculateButton_Click
End Class ' DentalPaymentForm
